gstreamermm: Gst::MessageStepDone Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Gst::MessageStepDone Class Reference

A step done message. More...

Inheritance diagram for Gst::MessageStepDone:
[legend]
Collaboration diagram for Gst::MessageStepDone:
[legend]

List of all members.

## Public Member Functions
| MessageStepDone (GstMessage* castitem)
void | parse (Gst::Format& format, guint64& amount, double& rate, bool& flush, bool& intermediate, guint64& duration, bool& eos) const
| Extract the values of the step done message.
guint64 | parse () const
| Extracts the duration of the step done message.
Gst::Format | parse_format () const
| Extracts the format of the step done message.
guint64 | parse_amount () const
| Extracts the amount of the step done message.
double | parse_rate () const
| Extracts the rate of the step done message.
bool | parse_flush () const
| Extracts the flush flag of the step done message.
bool | parse_intermediate () const
| Extracts the intermediate flag of the step done message.
bool | parse_eos () const
| Extracts the eos flag of the step done message.
## Static Public Member Functions
static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, Gst::Format format, guint64 amount, double rate, bool flush, bool intermediate, guint64 duration, bool eos)
| Create a step done message.

## Detailed Description

A step done message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageStepDone::MessageStepDone | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageStepDone::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::Format | format,
|  | guint64 | amount,
|  | double | rate,
|  | bool | flush,
|  | bool | intermediate,
|  | guint64 | duration,
|  | bool | eos
| ) |  | `[static]`

Create a step done message.

This message is posted by elements when they complete a part, when intermediate set to true, or a complete step operation.

duration will contain the amount of time (in Gst::FORMAT_TIME) of the stepped amount of media in format format.

Parameters:

  src | The object originating the message.
  format | The format of amount.
  amount | The amount of stepped data.
  rate | The rate of the stepped amount.
  flush | Is this an flushing step.
  intermediate | Is this an intermediate step.
  duration | The duration of the data.
  eos | The step caused EOS.

Returns:
  The new step done message. MT safe.

Since 0.10.24.

void Gst::MessageStepDone::parse | ( | Gst::Format& | format,
|  | guint64 & | amount,
|  | double & | rate,
|  | bool & | flush,
|  | bool & | intermediate,
|  | guint64 & | duration,
|  | bool & | eos
| ) |  | const

Extract the values of the step done message.

MT safe.

Parameters:

  format | Result location for the format.
  amount | Result location for the amount.
  rate | Result location for the rate.
  flush | Result location for the flush flag.
  intermediate | Result location for the intermediate flag.
  duration | Result location for the duration.
  eos | Result location for the EOS flag.

Since 0.10.24.

guint64 Gst::MessageStepDone::parse | ( |  | ) | const

Extracts the duration of the step done message.

Returns:
  The duration.

guint64 Gst::MessageStepDone::parse_amount | ( |  | ) | const

Extracts the amount of the step done message.

Returns:
  The amount.

bool Gst::MessageStepDone::parse_eos | ( |  | ) | const

Extracts the eos flag of the step done message.

Returns:
  The eos flag.

bool Gst::MessageStepDone::parse_flush | ( |  | ) | const

Extracts the flush flag of the step done message.

Returns:
  The flush flag.

Gst::Format Gst::MessageStepDone::parse_format | ( |  | ) | const

Extracts the format of the step done message.

Returns:
  The format.

bool Gst::MessageStepDone::parse_intermediate | ( |  | ) | const

Extracts the intermediate flag of the step done message.

Returns:
  The intermediate flag.

double Gst::MessageStepDone::parse_rate | ( |  | ) | const

Extracts the rate of the step done message.

Returns:
  The rate.

The documentation for this class was generated from the following file:

- gstreamermm/message.h